@use 'partials/components/top-bar';

.mat-drawer-container {
  width: 100vw;
}

.btn-group-container {
  display: flex;
  height: calc(100vh - #{top-bar.$top-bar-height});
}

.btn-left-container {
  display: flex;
  flex-direction: column;
}

.menu-item-container {
  width: 100%;
}

.menu-item-label {
  text-align: center;
  margin: 20px;
}

.menu-label-clickable {
  cursor: pointer;
}

.no-transition {
  // float buttons add overflow - remove it
  overflow: hidden;
  transition-duration: 0ms !important;
}

mwlResizable {
  box-sizing: border-box; // required for the enableGhostResize option to work
}

.side-nav-overflow {
  overflow-y: hidden;
  overflow-x: hidden;
}

.side-nav-row-fill {
  display: flex;
  flex-direction: row;
  margin: 0;
  width: 100%;
  height: 100%;
  min-width: 100%;
  min-height: 100%;
}

.side-nav-content-container {
  width: 100%;
  height: calc(100vh - #{top-bar.$top-bar-height});
}
